﻿using System;
using System.IO;

namespace TSTunnels.Common
{
	[Serializable]
	public class ConnectResult : ChannelMessage
	{
		public readonly int StreamIndex;
		public readonly string RemoteEndPoint;

		public ConnectResult(int StreamIndex, string RemoteEndPoint)
			: base(MessageType.ConnectResult)
		{
			this.StreamIndex = StreamIndex;
			this.RemoteEndPoint = RemoteEndPoint;
		}

		protected ConnectResult(BinaryReader reader)
			: base(reader)
		{
			StreamIndex = reader.ReadInt32();
			RemoteEndPoint = reader.ReadString();
		}

		protected override void Serialize(BinaryWriter writer)
		{
			base.Serialize(writer);
			writer.Write(StreamIndex);
			writer.Write(RemoteEndPoint);
		}

		public override string ToString()
		{
			return base.ToString() + ": " + RemoteEndPoint;
		}
	}
}
