﻿using System;
using System.IO;

namespace TSTunnels.Common
{
	[Serializable]
	public class HelloReply : ChannelMessage
	{
		public readonly string MachineName;

		public HelloReply()
			: base(MessageType.HelloReply)
		{
			MachineName = Environment.MachineName;
		}

		protected HelloReply(BinaryReader reader)
			: base(reader)
		{
			MachineName = reader.ReadString();
		}

		protected override void Serialize(BinaryWriter writer)
		{
			base.Serialize(writer);
			writer.Write(MachineName);
		}

		public override string ToString()
		{
			return base.ToString() + ": " + MachineName;
		}
	}
}
