﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace TSTunnels.Common
{
	[Serializable]
	public class StreamData : ChannelMessage
	{
		public readonly int StreamIndex;
		public readonly byte[] Data;

		public StreamData(int StreamIndex, byte[] Data)
			: base(MessageType.StreamData)
		{
			this.StreamIndex = StreamIndex;
			this.Data = Data;
		}

		protected StreamData(BinaryReader reader)
			: base(reader)
		{
			StreamIndex = reader.ReadInt32();
			var length = reader.ReadInt32();
			Data = reader.ReadBytes(length);
		}

		protected override void Serialize(BinaryWriter writer)
		{
			base.Serialize(writer);
			writer.Write(StreamIndex);
			writer.Write(Data.Length);
			writer.Write(Data);
		}
	}
}
