﻿using System;
using System.IO;

namespace TSTunnels.Common
{
	[Serializable]
	public class StreamError : ChannelMessage
	{
		public readonly int StreamIndex;
		public readonly string Exception;

		public StreamError(int StreamIndex, string Exception)
			: base(MessageType.StreamError)
		{
			this.StreamIndex = StreamIndex;
			this.Exception = Exception;
		}

		protected StreamError(BinaryReader reader)
			: base(reader)
		{
			StreamIndex = reader.ReadInt32();
			Exception = reader.ReadString();
		}

		protected override void Serialize(BinaryWriter writer)
		{
			base.Serialize(writer);
			writer.Write(StreamIndex);
			writer.Write(Exception);
		}

		public override string ToString()
		{
			return base.ToString() + ": " + Exception;
		}
	}
}
